Subject: bug#32257: 26.1; read-multiple-choice inf loops on mouse clicks

From: Noam Postavsky <[email-masked]>
Date: Tue, 24 Jul 2018 08:05:45 -0400

X-Debbugs-CC: Andy Moreton <[email-masked]>, Lars Ingebrigtsen <[email-masked]>

Starting from emacs -Q, evaluate:

    (require 'rmc)
    (read-multiple-choice "choice? " '((?a "ay") (?b "bee") (?c "see")))

then click the mouse somewhere instead of answering the prompt, notice
Emacs maxing out CPU, hit C-g.  *Messages* will have a log of the prompt
being repeated many times:

    choice?  (ay, bee, [c] see, ?):  [4435 times]

In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, X toolkit, Xaw scroll bars)
 of 2018-04-09 built on zebian
Repository revision: c267421647510319d2a70554e42f0d1c394dba0a
Windowing system distributor 'The X.Org Foundation', version 11.0.11902000
System Description:	Debian GNU/Linux 9.4 (stretch)